# 如何开始

1. clone 代码到本地之后，npm install 安装依赖项
2. 在 src/packages 目录下建立自己要开发的组件，内容可参考 packages 目录下的其他组件
3. 在 src/index.js 文件中引入你要新开发的组件
4. 进入 docs/component 目录下建立自己要开发的组件的 md 文档，格式参考其他 md 文档
5. 在 docs/.vuepress/config.js 中引入文档
6. 在命令台运行 `npm run start` ，然后可以访问 localhost:8083 进入文档页边写文档边进行开发

# 其他提示

- 8083 端口是默认配置的，可以在 `docs/.vuepress/config.js` 中更改
- vuepress 是支持在 markdown 文档中写组件的，需要注意的是 script 要在 template 之前，template 的内容不要有**空行**。
- 其他相关的使用命令请查阅 package.json 中的配置


# 如何发布
1. 运行npm run dist
2. package.json版本增加
3. 拷贝package.json到lib目录下
4. npm publish --access public

注: 需要npmjs.org注册账号并添加到@flydiy组,运行命令前需要npm login登录
